services:
    oro_workflow.expression.workflow_available_by_record_group:
        class: 'Oro\Bundle\WorkflowBundle\Model\Condition\WorkflowAvailableByRecordGroup'
        arguments:
            - '@oro_workflow.manager.system'
        tags:
            - { name: oro_action.condition, alias: workflow_available_by_record_group }

    oro_workflow.condition.is_granted_workflow_transition:
        class: 'Oro\Bundle\WorkflowBundle\Model\Condition\IsGrantedWorkflowTransition'
        arguments:
            - '@security.authorization_checker'
            - '@oro_security.token_accessor'
            - '@oro_workflow.manager'
            - '@oro_security.acl.group_provider.chain'
        tags:
            - { name: oro_action.condition, alias: 'is_granted_workflow_transition' }

    oro_workflow.condition.is_workflow_configuration_clean:
        class: 'Oro\Bundle\WorkflowBundle\Model\Condition\IsWorkflowConfigurationClean'
        arguments:
            - '@oro_workflow.configuration.checker'
        tags:
            - { name: oro_action.condition, alias: 'is_workflow_configuration_clean' }

    oro_consent.condition.current_step_name_is_equal:
        class: 'Oro\Bundle\WorkflowBundle\Model\Condition\CurrentStepNameIsEqual'
        arguments:
            - '@oro_workflow.manager.system'
        tags:
            - { name: oro_action.condition, alias: 'current_step_name_is_equal' }
